﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Media;
using System.Windows.Shapes;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.showBoundingBoxButton.Click += showBoundingBoxButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Show Bounding Box 버튼 클릭시 처리하기 - showBoundingBoxButton_Click(sender, e)

        /// <summary>
        /// Show Bounding Box 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void showBoundingBoxButton_Click(object sender, RoutedEventArgs e)
        {
            RectangleGeometry rectangleGeometry = new RectangleGeometry();

            rectangleGeometry.Rect = LayoutInformation.GetLayoutSlot(this.textBlock1);

            Path path = new Path();

            path.StrokeThickness = 5;
            path.Stroke          = Brushes.LightGoldenrodYellow;
            path.Data            = rectangleGeometry;

            Grid.SetColumn(path, 0);
            Grid.SetRow   (path, 0);

            this.grid.Children.Add(path);

            this.textBlock2.Text = $"LayoutSlot is equal to {LayoutInformation.GetLayoutSlot(this.textBlock1)}";
        }

        #endregion
    }
}